<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 10</title>
	<script type="text/javascript">
		window.addEventListener("load",function(){
			let n1=document.querySelector("#inumero1");
			let n2=document.querySelector("#inumero2");
			// array de botones
			let botones=document.querySelectorAll("button");

			let vdiv=document.querySelector("#divResultado");

			let resultado=document.querySelector("#iResultado");
			
			for(let c=0;c<botones.length;c++){
				botones[c].addEventListener("click",function(e){
						let boton=e.target.innerHTML;
						let num1=Number(n1.value);
						let num2=Number(n2.value);
						let r=0;
						switch (boton) {
							case "Sumar":
								r=num1+num2;
								break;
							case "Restar":
								r=num1-num2;
								break;
							case "Producto":
								r=num1*num2;
								break;
							case "Cociente":
								r=num1/num2;
								break;
						}
						vdiv.innerHTML=r;
						resultado.value=r;
				});
			}
		});


	</script>
</head>
<body>
	<form>
		<label for="inumero1">
			Numero 1
		</label>
		<input type="number" name="numero1" id="inumero1">	
		<label for="inumero2">
			Numero 2
		</label>
		<input type="number" name="numero2" id="inumero2">	
		<button type="button">Sumar</button>
		<button type="button">Restar</button>
		<button type="button">Producto</button>
		<button type="button">Cociente</button>
		<label for="iResultado">
			El resultado 
		</label>
		<input type="number" name="nResultado" id="iResultado">	

	</form>

	<div id="divResultado">
		
	</div>
	
</body>
</html>